=== debian/control ===
Source: ros-dashing-object-analytics-msgs
Section: misc
Priority: extra
Maintainer: Chris Ye <chris.ye@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-builtin-interfaces, ros-dashing-geometry-msgs, ros-dashing-object-msgs, ros-dashing-rosidl-default-generators, ros-dashing-sensor-msgs, ros-dashing-std-msgs, ros-dashing-tf2-ros, ros-dashing-ros-workspace, ros-dashing-rmw-connext-cpp, ros-dashing-rmw-fastrtps-cpp, ros-dashing-rmw-implementation, ros-dashing-rmw-opensplice-cpp, ros-dashing-rosidl-typesupport-connext-c, ros-dashing-rosidl-typesupport-connext-cpp, ros-dashing-rosidl-typesupport-opensplice-c, ros-dashing-rosidl-typesupport-opensplice-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-object-analytics-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-geometry-msgs, ros-dashing-object-msgs, ros-dashing-rosidl-default-runtime, ros-dashing-sensor-msgs, ros-dashing-std-msgs, ros-dashing-tf2-ros, ros-dashing-ros-workspace
Description: object analytics message definition
